
package de.ivu.elect.business.wahlausschuss.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.wahlausschuss.entity.Wahlausschussmitglied;
import de.ivu.elect.business.wahlausschuss.boundary.WahlausschussmitgliedDAO;
import de.ivu.elect.business.wahlausschuss.boundary.WahlausschussmitgliedCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractWahlausschussmitgliedCreate {

  @Inject
  protected WahlausschussmitgliedDAO dao;

    @Inject
    transient Event<WahlausschussmitgliedCreateEvent> createEvent;



    @Inject
  de.ivu.elect.business.person.control.PersonendatenCreate superCreate;
  


public void save(Wahlausschussmitglied entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(Wahlausschussmitglied entity) {
        superCreate.sendCreateEvent(entity);
        createEvent.fire(new WahlausschussmitgliedCreateEvent(entity));
  }

}
